Package com.independentsoft.office.spreadsheet

# Class DataValidations

java.lang.Object
com.independentsoft.office.spreadsheet.DataValidations

public class DataValidations extends Object
The Class DataValidations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataValidations()`
  Instantiates a new data validations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataValidations`
  `clone()`
  `List<DataValidation>`
  `getItems()`
  Gets the items.
  `int`
  `getTopLeftCornerX()`
  Gets the top left corner x.
  `int`
  `getTopLeftCornerY()`
  Gets the top left corner y.
  `boolean`
  `isDisablePrompts()`
  Checks if is disable prompts.
  `void`
  `setDisablePrompts​(boolean disablePrompts)`
  Sets the disable prompts.
  `void`
  `setTopLeftCornerX​(int topLeftCornerX)`
  Sets the top left corner x.
  `void`
  `setTopLeftCornerY​(int topLeftCornerY)`
  Sets the top left corner y.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataValidations

    public DataValidations()
    Instantiates a new data validations.

- ## Method Details

  - ### clone

    public DataValidations clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getItems

    public List<DataValidation> getItems()
    Gets the items.
    Returns:
      the items

  - ### isDisablePrompts

    public boolean isDisablePrompts()
    Checks if is disable prompts.
    Returns:
      true, if is disable prompts

  - ### setDisablePrompts

    public void setDisablePrompts​(boolean disablePrompts)
    Sets the disable prompts.
    Parameters:
      `disablePrompts` - the new disable prompts

  - ### getTopLeftCornerX

    public int getTopLeftCornerX()
    Gets the top left corner x.
    Returns:
      the top left corner x

  - ### setTopLeftCornerX

    public void setTopLeftCornerX​(int topLeftCornerX)
    Sets the top left corner x.
    Parameters:
      `topLeftCornerX` - the new top left corner x

  - ### getTopLeftCornerY

    public int getTopLeftCornerY()
    Gets the top left corner y.
    Returns:
      the top left corner y

  - ### setTopLeftCornerY

    public void setTopLeftCornerY​(int topLeftCornerY)
    Sets the top left corner y.
    Parameters:
      `topLeftCornerY` - the new top left corner y